import junit.framework.TestCase;
import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runners.Parameterized;

import java.util.ArrayList;

import static org.junit.Assert.*;

/*
Classe de test pour savoir si les fous existent avec une couleur.
 */
public class TestFou {
    @Parameterized.Parameter
    protected Fou fou;
    @Parameterized.Parameter
    protected Fou fou2;

    @Before
    public void setUP(){
        fou = new Fou(Piece.BLANC);
        fou2 = new Fou(Piece.NOIR);
    }

    @After
    public void tearDown(){
    }

    @Test
    public void TestCouleur() throws Exception
    {
        Assert.assertEquals("B", fou.getCoul());
        Assert.assertEquals("N", fou2.getCoul());
    }

}