import junit.framework.TestCase;
import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runners.Parameterized;

import java.util.ArrayList;

import static org.junit.Assert.*;

/*
Classe de test pour savoir si les cavaliers existent avec une couleur.
 */
public class TestCavalier {
    @Parameterized.Parameter
    protected Cavalier cavalier;
    @Parameterized.Parameter
    protected Cavalier cavalier2;

    @Before
    public void setUP(){
        cavalier = new Cavalier(Piece.BLANC);
        cavalier2 = new Cavalier(Piece.NOIR);
    }

    @After
    public void tearDown(){
    }

    @Test
    public void TestCouleur() throws Exception
    {
        Assert.assertEquals("B", cavalier.getCoul());
        Assert.assertEquals("N", cavalier2.getCoul());
    }

}