import junit.framework.TestCase;
import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runners.Parameterized;

import java.util.ArrayList;

import static org.junit.Assert.*;

/*
Classe de test pour savoir si les pions existent avec une couleur.
 */
public class TestPion {
    @Parameterized.Parameter
    protected Pion pion;
    @Parameterized.Parameter
    protected Pion pion2;

    @Before
    public void setUP(){
        pion = new Pion(Piece.BLANC);
        pion2 = new Pion(Piece.NOIR);
    }

    @After
    public void tearDown(){
    }

    @Test
    public void TestCouleur() throws Exception
    {
        Assert.assertEquals("B", pion.getCoul());
        Assert.assertEquals("N", pion2.getCoul());
    }

}