import junit.framework.TestCase;
import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runners.Parameterized;

import java.util.ArrayList;

import static org.junit.Assert.*;

/*
Classe de test pour savoir si les rois existent avec une couleur.
 */
public class TestRoi {
    @Parameterized.Parameter
    protected Roi roi;
    @Parameterized.Parameter
    protected Roi roi2;

    @Before
    public void setUP(){
        roi = new Roi(Piece.BLANC);
        roi2 = new Roi(Piece.NOIR);
    }

    @After
    public void tearDown(){
    }

    @Test
    public void TestCouleur() throws Exception
    {
        Assert.assertEquals("B", roi.getCoul());
        Assert.assertEquals("N", roi2.getCoul());
    }

}