import junit.framework.TestCase;
import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runners.Parameterized;

import java.util.ArrayList;

import static org.junit.Assert.*;


/*
Classe de test pour savoir si les tours existent avec une couleur.
 */
public class TestTour {
    @Parameterized.Parameter
    protected Tour tour;
    @Parameterized.Parameter
    protected Tour tour2;

    @Before
    public void setUP(){
        tour = new Tour(Piece.BLANC);
        tour2 = new Tour(Piece.NOIR);
    }

    @After
    public void tearDown(){
    }

    @Test
    public void TestCouleur() throws Exception
    {
        Assert.assertEquals("B", tour.getCoul());
        Assert.assertEquals("N", tour2.getCoul());
    }

}
